package datamgr;

import java.io.FileOutputStream;
import java.text.DecimalFormat;

/**
 * Created by IntelliJ IDEA.
 * User: dragomir
 * Date: Sep 3, 2007
 * Time: 9:02:18 PM
 * To change this template use File | Settings | File Templates.
 */
public class DataWriter {
    FileOutputStream fos = null;
    public static DecimalFormat df4;

    public DataWriter(String fileName) throws Exception {
        fos = new FileOutputStream(fileName);
        df4 = new DecimalFormat("#.#");//DecimalFormat.getInstance();
        df4.setDecimalSeparatorAlwaysShown(false);
        df4.setMaximumFractionDigits(4);
    }

    public void addLine(double[] arr) throws Exception {
        String line = "";
        for (int i = 0; i < arr.length; i++) {
            line += df4.format(arr[i]) + "\t";
        }
        line = line.trim();
        line += "\n";
        fos.write(line.getBytes());
    }

    public void close() throws Exception {
        fos.close();
    }
}
